Create Session for Revision Upload
This API is used to upload a file as the top version to an existing file in your WorkDrive account.
Note:
- resource_id in the URL should be existing file resource_id.
Upload Status codes:
- 200 - Session created successfully.
- 401 - Create session failed.Given resource-id is not a valid file or Chunk Upload is not allowed for this file size.
- 402 - Create session failed. License is in suspended state.
- 404 - Create session failed. File size limit exceeds.
- 409 - Create session failed. File with the same name already exists. Use name-conflict parameter to create a new file name or update the existing file.
- 423 - Create session failed. File has been checked out (locked) by another user.
- 507 - Create session failed. Your workdrive organization storage limit exceeds.
- 509 - Create session failed. MyFolder storage limit is restricted or exceeded.
Endpoints
OAuth Scope
WorkDrive.files.UPDATECopied!
curl --request POST \
--url 'https://www.zohoapis.com/workdrive/api/v1/uploadsession/{resource_id}/create?size={size_of_the_file}' \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'Path Parameters
resource_idstring(Required)
Unique id of the resource
Query Parameters
Note:
Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here
sizestring(Required)
Size of the file in bytes
{
"received_bytes": 0,
"chunk_size": 67108864,
"upload_id": "CFU_NjY3MDA5NjIxXzc5OTEzMjIxMl81NzE5ODk5MDA1MDY4Nzg5MDky",
"remaining_chunks": 18,
"expiry_time_in_millis": 1682601016312,
"total_chunks": 18,
"file_size": 1141420772,
"next_chunk": "0-67108863",
"remaining_bytes": 1141420772,
"expiry_time": "2023-04-27T13:10:16.312Z",
"uploaded_chunks": 0,
"status": "D9231"
}
400 Bad Request401 Unauthorized402 Payment Required404 Not Found500 Internal Server Error507 Insufficient Storage509 Bandwidth Limit Exceeded© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.